Skip to main content
POST
/
v2
/
workflows
/
{workflow_id}
/
approval-procedures
Create Workflow Approval Procedure
curl --request POST \
  --url https://public.api.serval.com/v2/workflows/{workflow_id}/approval-procedures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "steps": [
    {
      "allowSelfApproval": true,
      "approvers": [
        {
          "appOwner": {},
          "notify": true
        }
      ],
      "customWorkflow": {
        "workflowId": "<string>"
      }
    }
  ]
}
'
{
  "data": {
    "id": "<string>",
    "workflowId": "<string>",
    "steps": [
      {
        "id": "<string>",
        "allowSelfApproval": true,
        "approvers": [
          {
            "appOwner": {},
            "notify": true
          }
        ],
        "customWorkflow": {
          "workflowId": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required

The ID of the workflow to create the approval procedure for.

Body

application/json
steps
ApprovalStep · object[]

The approval steps for the procedure.

Response

Success

data
data · object

The created approval procedure.